define(function (require) {
  return function (context) {

    //context.sender 发送者
    //context.query 查询词
    //context.confirm(row) 确认方法
    return {
      xtype: 'widget',
      title: '人员信息搜索',
      width: 800,
      height: 450,
      grid: {
        url: api('/hr/user/queryWidget'),
        mtype: 'POST',
        queryParams: {query: context.query},
        idField: 'userId',
        columns: [[
          {title: '用户编号', field: 'userId', hidden: true},
          {title: '姓名', field: 'name'},
          {title: '姓名拼音', field: 'namePy', hidden: true},
          {title: '性别', field: 'gender', formatter: $.fn.fmatter.genderSrc},
          {title: '头像ID', field: 'imgId', hidden: true},
          {title: '手机号', field: 'mobile'},
          {title: '座机', field: 'tel', hidden: true},
          {title: '邮箱', field: 'email', hidden: true},
          {title: '是否在职', field: 'status', hidden: true},
          {title: '是否在职', field: 'userStatusView', formatter: $.fn.fmatter.userStatusView},
        ]]
      }
    };
  };
});