//包装单的分包数  预警
define(function (require) {
  return function (context) {
    var $dlg, $form;

    return {
      xtype: 'dialog',
      dialogId: 'dialogSjShow',
      title: '包装单数量',
      width: 360,
      height: 240,
      onOpen: function () {
        loadingMask: false,
          $dlg = $(this);
      },
      center: {
        items: {
          xtype: 'formgroup',
          onRender: function () {
            $form = $(this);
          },
          items: [[
            {
              label: '打包数量', name: 'num', labelWidth: 'auto', width: 280,
            },
            {
              label: '打印张数', name: 'numPage', labelWidth: 'auto', width: 280,
            },
          ]]
        }
      },
      buttons: [
        {
          text: "打印", iconCls: "fa fa-save", onClick: function () {
            if ($form.formGet().num == null || $form.formGet().num == undefined || $form.formGet().num == '') {
              return $.yvan.msg('请先选择打包数量');
            }
            if ($form.formGet().numPage == null || $form.formGet().numPage == undefined || $form.formGet().numPage == '') {
              return $.yvan.msg('请先选择打印张数');
            }
            $.yvan.ajax({
              method: 'post',
              url: api('/pdf/printWarnOrder'),
              data: {
                batchId: context.batchId,
                num: $form.formGet().num,
                numPage: $form.formGet().numPage,
              },
              success: function (data) {
                // alert(data.data);
                if (data.data != null && data.data != undefined && data.data != '') {
                  // console.log(data.data);
                  // callCsPrintHGZ(data.data);
                  for (var i = 0; i < data.data.length; i++) {
                    LabelPrinter.printLabel(data.data[i]);
                  }
                } else {
                  $.yvan.msg("数据为空")
                }
              }
            });
            $dlg.dialog('close');
          }
        }, {
          text: "关闭", iconCls: "fa fa-times", onClick: function () {
            $dlg.dialog('close');
          }
        }
      ]
    };
  };
});
