package com.bofeng.entity;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

import java.util.Date;

/**
 * @Author: xielianghe
 * @Date: 2020/2/4 14:54
 */
@Getter
@Setter
@TableName("ms_report")
public class MsReport {

    @TableId("report_id")
    private Long reportId;

    @TableField("house_id")
    private Long houseId;

    @TableField(exist = false)
    private String houseIdStr = "";

    @TableField("safety_num")
    private Integer safetyNum;

    @TableField("sure_num")
    private Integer sureNum;

    @TableField("suspected_num")
    private Integer suspectedNum;

    @TableField("normal_num")
    private Integer normalNum;

    @TableField("single_num")
    private Integer singleNum;

    @TableField("remarks")
    private String remarks;

    @TableField("report_date")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date reportDate;

    @TableField("report_status")
    private Integer reportStatus;

    @TableField("ms_status")
    private Integer msStatus;

    @TableField("user_create")
    private Long userCreate;

    @TableField("time_create")
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField("time_update")
    private DateTime timeUpdate;
}
